summaryrefslogtreecommitdiff
path: root/2005/flow-accounting-lt2005/ltpdk/bin
diff options
context:
space:
mode:
Diffstat (limited to '2005/flow-accounting-lt2005/ltpdk/bin')
-rwxr-xr-x2005/flow-accounting-lt2005/ltpdk/bin/lt-convert38
-rwxr-xr-x2005/flow-accounting-lt2005/ltpdk/bin/lt-pack40
-rwxr-xr-x2005/flow-accounting-lt2005/ltpdk/bin/lt-validate38
-rwxr-xr-x2005/flow-accounting-lt2005/ltpdk/bin/xmllintbin0 -> 974232 bytes
-rwxr-xr-x2005/flow-accounting-lt2005/ltpdk/bin/xsltprocbin0 -> 1228024 bytes
5 files changed, 116 insertions, 0 deletions
diff --git a/2005/flow-accounting-lt2005/ltpdk/bin/lt-convert b/2005/flow-accounting-lt2005/ltpdk/bin/lt-convert
new file mode 100755
index 0000000..310fbd8
--- /dev/null
+++ b/2005/flow-accounting-lt2005/ltpdk/bin/lt-convert
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# lt-convert - converts an XML/DocBook document of LinuxTag flavour to HTML.
+#
+# LinuxTag Paper Development Kit is Copyright (C) 2003 by LinuxTag e. V.
+#
+# V1.1 written 2003-05-04 by Nils Magnus (magnus@linuxtag.org)
+#
+
+# check options
+if [ -z "$1" ]
+then
+ cat << EOF
+Usage: $0 file
+Converts XML/DocBook file to HTML fragment.
+EOF
+ exit 1
+fi
+
+# determine paths
+
+bin=`echo $0 | sed 's/[^/]*$//'`
+
+if echo ${bin} | grep -v '^/' > /dev/null
+then
+ bin="`pwd`/${bin}"
+fi
+
+xml=`echo ${bin} | sed 's/bin.*$/xml/'`
+
+# call xsltproc
+
+if ${bin}/xsltproc ${xml}/docbook-html.xsl $*
+then
+ :
+else
+ echo "Summary: Document is not conforming to spec."
+fi
diff --git a/2005/flow-accounting-lt2005/ltpdk/bin/lt-pack b/2005/flow-accounting-lt2005/ltpdk/bin/lt-pack
new file mode 100755
index 0000000..a898a5b
--- /dev/null
+++ b/2005/flow-accounting-lt2005/ltpdk/bin/lt-pack
@@ -0,0 +1,40 @@
+#!/bin/sh
+#
+# lt-pack - Creates an archive containing your LinuxTag paper prepared for upload.
+#
+# LinuxTag Paper Development Kit is Copyright (C) 2003 by LinuxTag e. V.
+#
+# V1.1 written 2003-05-04 by Nils Magnus (magnus@linuxtag.org)
+#
+
+# check options
+if [ $# -gt 1 ]
+then
+ cat << EOF
+Usage: $0
+Creates an archive containing your LinuxTag paper prepared for upload.
+EOF
+ exit 1
+fi
+
+# determine paths
+
+bin=`echo $0 | sed 's/[^/]*$//'`
+
+if echo ${bin} | grep -v '^/' > /dev/null
+then
+ bin="`pwd`/${bin}"
+fi
+
+xml=`echo ${bin} | sed 's/bin.*$/xml/'`
+
+# call tar from the correct directory
+
+cd ${bin}
+cd ..
+if tar cfzv paper.tar.gz paper
+then
+ echo "please upload now `pwd`/paper.tar.gz to the CC"
+else
+ echo "error while packaging"
+fi
diff --git a/2005/flow-accounting-lt2005/ltpdk/bin/lt-validate b/2005/flow-accounting-lt2005/ltpdk/bin/lt-validate
new file mode 100755
index 0000000..f56bdbe
--- /dev/null
+++ b/2005/flow-accounting-lt2005/ltpdk/bin/lt-validate
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# lt-validate - validates an XML/DocBook document of LinuxTag flavour.
+#
+# LinuxTag Paper Development Kit is Copyright (C) 2003 by LinuxTag e. V.
+#
+# V1.2 written 2003-05-04 by Nils Magnus (magnus@linuxtag.org)
+#
+
+# check options
+if [ -z "$1" ]
+then
+ cat << EOF
+Usage: $0 file
+Validates XML/DocBook file.
+EOF
+ exit 1
+fi
+
+# determine paths
+
+bin=`echo $0 | sed 's/[^/]*$//'`
+
+if echo ${bin} | grep -v '^/' > /dev/null
+then
+ bin="`pwd`/${bin}"
+fi
+
+xml=`echo ${bin} | sed 's/bin.*$/xml/'`
+
+# call xmllint
+
+if ${bin}/xmllint --dtdvalid ${xml}/docbook.dtd $*
+then
+ echo "Document is conforming to spec. You may want to check the results with lt-convert."
+else
+ echo "Summary: Document is not conforming to spec."
+fi
diff --git a/2005/flow-accounting-lt2005/ltpdk/bin/xmllint b/2005/flow-accounting-lt2005/ltpdk/bin/xmllint
new file mode 100755
index 0000000..f028e47
--- /dev/null
+++ b/2005/flow-accounting-lt2005/ltpdk/bin/xmllint
Binary files differ
diff --git a/2005/flow-accounting-lt2005/ltpdk/bin/xsltproc b/2005/flow-accounting-lt2005/ltpdk/bin/xsltproc
new file mode 100755
index 0000000..3798abc
--- /dev/null
+++ b/2005/flow-accounting-lt2005/ltpdk/bin/xsltproc
Binary files differ
personal git repositories of Harald Welte. Your mileage may vary